@charset "UTF-8";

/**
 * CSS compatible with custom block buttons
 */

/* Buttons with icons */

[class*="is-style-bouton-icone"] .wp-block-button__link {
	display: flex;
	align-items: center;
	justify-content: space-between;
	gap: 10px;
}
[class*="is-style-bouton-icone"] .wp-block-button__link::after {
	font-family: "Icones Font";
}
[class*="-archive"] .wp-block-button__link::after,
[class*="-fleche-droite"] .wp-block-button__link::after {
	content: "\ea06" / "Arrow right";
}
[class*="-fleche-basse"] .wp-block-button__link::after {
	content: "\ea04" / "Arrow down";
}
[class*="-telechargement"] .wp-block-button__link::after {
	content: "\ea02" / "Download";
}
[class*="-signature"] .wp-block-button__link::after {
	content: "\ea39" / "Signature";
}
[class*="-lire"] .wp-block-button__link::after {
	content: "\ea03" / "Read";
}
[class*="-newsletter"] .wp-block-button__link::after {
	content: "\ea22" / "Newsletter";
}
[class*="-don"] .wp-block-button__link::after {
	content: "\ea1a" / "Donation";
}

/* Button Hover */

.wp-block-button .wp-block-button__link:hover {
	background-color: var(--wp--preset--color--secondaire-9);
	border-color: var(--wp--preset--color--secondaire-9);
}
.wp-block-button[class*="-outline"] .wp-block-button__link:hover {
	background-color: var(--wp--preset--color--transparent);
	border-color: var(--wp--preset--color--primaire-3);
	color: var(--wp--preset--color--primaire-3);
}
.wp-block-button[class*="-primaire-1"] .wp-block-button__link:hover {
	background-color: var(--wp--preset--color--secondaire-15) !important;
	border-color: var(--wp--preset--color--secondaire-15);
}
.wp-block-button[class*="-secondaire-15"] .wp-block-button__link:hover {
	background-color: var(--wp--preset--color--primaire-1) !important;
	border-color: var(--wp--preset--color--primaire-1);
}
.wp-block-button[class*="-archive"] .wp-block-button__link:hover {
	background-color: var(--wp--preset--color--primaire-4);
	color: var(--wp--preset--color--claire);
}